<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
Project: Single Sourcing Demo.
Component: XSL Transform (File 1 of 1).
Filename: "ss_allmodules_transform.xsl".
Purpose: List ALL documentation modules in HTML.
-->

<xsl:template match="/">

<html>
<head>
	<title> Single Sourcing Demo: All Documentation Modules </title>
</head>

	<body>
	<!-- list all documentation modules in an unordered list -->
	<h1>Documentation Modules</h1>
	<ul>
	<xsl:for-each select="documentation_modules/module">
	<li>Id: <xsl:value-of select="id"/></li>
	<ul>
		<li>Feature: <xsl:value-of select="feature"/></li>
		<li>Skill Level: <xsl:value-of select="skill_level"/></li>
		<li>Documentation: <xsl:value-of select="documentation"/></li>
	</ul>
	</xsl:for-each>
	</ul>

	<br />
	<a href="Javascript: history.back()">Back</a>

	</body>
</html>

</xsl:template>
</xsl:stylesheet>

<!-- End of "ss_allmodules_transform.xsl" file -->